Subject: Re: bug#14062: 24.3.50; emacs_backtrace.txt

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 May 2013 15:33:05 +0300

> Date: Sat, 04 May 2013 14:27:23 +0200
> From: martin rudalics <[email-masked]>
> 
>  > After staring at the code again, I might be able to explain to myself
>  > why the BUFFERP test was not enough.  I rearranged the tests in the
>  > WINDOW_WANTS_HEADER_LINE_P macro so that hopefully this will not
>  > happen again.
> 
> I fail to understand what FRAME_WANTS_MODELINE_P is good for.  I
> removed it in my code long ago.

It causes the header line to disappear when the window is too small to
show both the modeline and the header line.  The limit of the window
size where that happens obviously should be different depending on
whether the window does or does not have a modeline.